Class
NameStoreCache
Stores a mapping from names to ids.
FragmentStore<>
NameStoreCache<TNameStore[, TName]>
Parameters

TNameStore | The name store to be cached. See: FragmentStore
TName | The name type. Types: CharString Default: Value<TNameStore>::Type

Data Members

NameStoreCache | Constructor

Functions

appendName | Appends a name to a name store.
getIdByName | Appends a name to a name store.
refresh | Recreate a name store cache.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45